org.jgroups.util

## Class Seqno

- java.lang.Object
- - org.jgroups.util.Seqno

Direct Known Subclasses:
  SeqnoRange

    public class Seqno
    extends java.lang.Object

Keeps track of a single message to retransmit

Author:
  Bela Ban

### Field Summary

Fields
`static byte` `DUMMY`
`static byte` `RECEIVED`

### Constructor Summary

Constructors
Constructor and Description
`Seqno(long low)`
`Seqno(long num, boolean dummy)` Only used to compare a long against a range in a TreeSet / TreeMap.

### Method Summary

Methods
`void` `clear(long num)`
`boolean` `contains(long num)`
`boolean` `equals(java.lang.Object obj)`
`boolean` `get(long num)`
`long` `getLow()`
`java.util.Collection<Range>` `getMessagesToRetransmit()`
`int` `getNumberOfMissingMessages()`
`int` `getNumberOfReceivedMessages()`
`int` `hashCode()`
`boolean` `isDummy()`
`java.lang.String` `print()`
`protected boolean` `received()`
`void` `set(long num)`
`int` `size()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### DUMMY

    public static final byte DUMMY

See Also:
  Constant Field Values

#### RECEIVED

    public static final byte RECEIVED

See Also:
  Constant Field Values

### Constructor Detail

#### Seqno

    public Seqno(long low)

#### Seqno

    public Seqno(long num,
         boolean dummy)

Only used to compare a long against a range in a TreeSet / TreeMap. Used to find a range given a seqno

Parameters:
  `num` -
  `dummy` -

### Method Detail

#### isDummy

    public boolean isDummy()

#### getLow

    public long getLow()

#### contains

    public boolean contains(long num)

#### get

    public boolean get(long num)

#### set

    public void set(long num)

#### clear

    public void clear(long num)

#### getNumberOfReceivedMessages

    public int getNumberOfReceivedMessages()

#### getNumberOfMissingMessages

    public int getNumberOfMissingMessages()

#### size

    public int size()

#### getMessagesToRetransmit

    public java.util.Collection<Range> getMessagesToRetransmit()

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### equals

    public boolean equals(java.lang.Object obj)

Overrides:
  `equals` in class `java.lang.Object`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### print

    public java.lang.String print()

#### received

    protected boolean received()